Update a note
curl --request PATCH \
--url https://api.standardmetrics.io/v1/notes/{note_id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"note": "<string>",
"format": "plain"
}
'import requests
url = "https://api.standardmetrics.io/v1/notes/{note_id}/"
payload = {
"note": "<string>",
"format": "plain"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({note: '<string>', format: 'plain'})
};
fetch('https://api.standardmetrics.io/v1/notes/{note_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.standardmetrics.io/v1/notes/{note_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'note' => '<string>',
'format' => 'plain'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.standardmetrics.io/v1/notes/{note_id}/"
payload := strings.NewReader("{\n \"note\": \"<string>\",\n \"format\": \"plain\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.standardmetrics.io/v1/notes/{note_id}/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"note\": \"<string>\",\n \"format\": \"plain\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.standardmetrics.io/v1/notes/{note_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"note\": \"<string>\",\n \"format\": \"plain\"\n}"
response = http.request(request)
puts response.read_body{
"note": "<string>",
"author_id": "<string>",
"author": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"id": "<string>",
"company_id": "<string>"
}Notes
Update a note
Replace a note’s content as plain text or markdown.
PATCH
/
notes
/
{note_id}
/
Update a note
curl --request PATCH \
--url https://api.standardmetrics.io/v1/notes/{note_id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"note": "<string>",
"format": "plain"
}
'import requests
url = "https://api.standardmetrics.io/v1/notes/{note_id}/"
payload = {
"note": "<string>",
"format": "plain"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({note: '<string>', format: 'plain'})
};
fetch('https://api.standardmetrics.io/v1/notes/{note_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.standardmetrics.io/v1/notes/{note_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'note' => '<string>',
'format' => 'plain'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.standardmetrics.io/v1/notes/{note_id}/"
payload := strings.NewReader("{\n \"note\": \"<string>\",\n \"format\": \"plain\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.standardmetrics.io/v1/notes/{note_id}/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"note\": \"<string>\",\n \"format\": \"plain\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.standardmetrics.io/v1/notes/{note_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"note\": \"<string>\",\n \"format\": \"plain\"\n}"
response = http.request(request)
puts response.read_body{
"note": "<string>",
"author_id": "<string>",
"author": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"id": "<string>",
"company_id": "<string>"
}Authorizations
Your valid bearer token. All Auth tokens persist for all requests. Make sure to replace Client Credential Basic tokens with Bearer tokens after retrieving your bearer token. Go to the API Reference/Setup, User Guides/Initial Setup, or API Reference/Get API Access Token page to get your token.
Path Parameters
Body
application/json